Subject: [MMUSIC] Re: mboned: updated MBONED agenda for IETF 61

From: Hoerdt Mickael <[email-masked]>
Date: Mon, 08 Nov 2004 10:47:51 +0100

Hello,

I am happy to see that multi-source SSM session layering  is still a 
potential working topic at the IETF.
I continued my work, but mainly on the implementation (the API changed) 
and finally named the very simple protocol that I presented here  more  
than one year ago  : Source Specific Multicast Source Discovery Protocol 
(SSMSDP). It still uses a shared SSM tree to signal new channels 
presents in the session.
Source announcements toward the root of the tree can use TCP or UDP (see 
the API doc),
but are not MSDP formated as in Rami lethonen work.

Well known applications (vic/rat/beacon)  has been launched without 
recompilation over SSM with a tool called "ssmsdpifier", it simply trap 
MROUTING setsockopt with ssmsdp calls. On a 10Mb/s with a single linux 
PC with
64Mb of ram and 350Mhz the implementation is able to sustain about 1500 
actives sources signaling
on the same process (with an announcement period of 5 sec)

Documentation, implementation, Faqs, Status are all there :

http://clarinet.u-strasbg.fr/~hoerdt/libssmsdp/

Cheers,

Hoerdt Mickaël

David Meyer a écrit :

>MBONE Deployment WG (mboned)
>
>MONDAY, November 8, 2004 (1530-1730)
>=====================================
>
>CHAIR: David Meyer <[email-masked]>
>
>AGENDA
>
> o Administriva
>
>   - Mailing list: [email-masked]
>     subscribe mboned
>
>   - Scribe?
>
>   - Blue Sheets
>
> o Agenda Bashing                                               2 minutes
>   Meyer                                           
>
>
> o Review and status of work items                      
>
>   Active Drafts
>   -------------
>   draft-ietf-mboned-ssm232-08.txt                               1 minute
>     Shepherd, et al
>     RFC Ed Queue (BCP)
>   draft-ietf-mboned-embeddedrp-06.txt                           1 minute
>     Savola/Haberman
>     RFC Ed Queue (PS)
>   draft-ietf-mboned-mroutesec-04.txt                            3 minutes
>     Savola et al (Point Raised - writeup needed)
>   draft-ietf-mboned-msdp-deploy-06.txt                          1 minute
>     McBride, et al
>     RFC Ed Queue (BCP)
>   draft-ietf-mboned-rfc3171bis-02.txt                           2 minutes
>     Albanna, et al
>     (Revised ID Needed)
>   draft-ietf-mboned-ipv6-multicast-issues-01.txt                5 minutes
>     Savola
>   draft-ietf-mboned-msdp-mib-00.txt                             5 minutes
>     Fenner/Thaler
>   draft-ietf-mboned-auto-multicast-03.txt                      10 minutes
>     Thaler, et al
>   draft-ietf-mboned-ipv4-uni-based-mcast-02.txt                 5 minutes
>     Thaler
>
>   Potental WG Drafts
>   ------------------
>   - Overview of the Internet Multicast Addressing Architecture 10 minutes
>      draft-savola-mboned-addrarch-00.txt
>      Savola
>
>   - Dynamic Multi-Source Discovery for SSM using MSDP          10 minutes
>      draft-lehtonen-mboned-multissm-01.txt
>      Lehtonen
>
>   - Accouting Issues In Well Managed IP Multicasting Services  10 minutes
>      draft-hayashi-maccnt-01.txt
>      Hayashi
>
> o IMDOC 
>
>   - MP-LSPs (Requirements/overview of current status)          
>      Introduction                                               2 minutes
>       Meyer
>      A Chair's view on what MPLS is doing                       5 minutes
>       Swallow
>      Summary of Requirements                                    5 minutes
>       Yasukawa Seisho
>      Proposed Solutions                                         5 minutes
>       Papadimitriou
>      Discussion                                                13 minutes
>       All
>
>   - p2mp ping and traceroute                                   10 minutes
>      draft-yasukawa-mpls-p2mp-lsp-ping-00.txt
>      Farrel, et. al.
>           
>   - On-link IGMP/MLD/PIM threats and problems		        10 minutes
>      Savola
>
>
>_______________________________________________________________
>user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
>web archive:  http://darkwing.uoregon.edu/~llynch/mboned/
>  
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Pekka Savola <[email-masked]>
Date: Mon, 8 Nov 2004 14:29:24 +0200 (EET)

On Mon, 8 Nov 2004, Hoerdt Mickael wrote:
> potential working topic at the IETF. I continued my work, but mainly 
> on the implementation (the API changed) and finally named the very 
> simple protocol that I presented here more than one year ago : 
> Source Specific Multicast Source Discovery Protocol (SSMSDP). It 
> still uses a shared SSM tree to signal new channels presents in the 
> session. Source announcements toward the root of the tree can use 
> TCP or UDP (see the API doc), but are not MSDP formated as in Rami 
> lethonen work.

What's more, using SSMSDP approach likely avoids the IPR concerns 
about a patent application on mroutessm-01.

The problem here is about where the work can move forward.  multissm 
could be done here, which is why some might see it more feasible; an 
application effort might get more resistance from app folks, while it 
might be in some other ways a better approach.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings